> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udchartjsdataset.md).

# New-UDChartJSDataset

### Übersicht

Erstellt ein neues ChartJS-Dataset

### Syntax

```powershell
New-UDChartJSDataset [[-Data] <Object>] [[-DataProperty] <String>] [[-Label] <String>] [[-BackgroundColor] <DashboardColor[]>] [[-BorderColor] <DashboardColor[]>] [[-BorderWidth] <Int32>] [[-HoverBackgroundColor] <DashboardColor[]>] [[-HoverBorderColor] <DashboardColor[]>] [[-HoverBorderWidth] <Int32>] [[-XAxisId] <String>] [[-YAxisId] <String>] [[-AdditionalOptions] <Hashtable>] [<CommonParameters>]
```

### Beschreibung

Erstellt ein neues ChartJS-Dataset. Dieses Cmdlet wird verwendet, um ein neues Dataset für New-UDChartJS zu erstellen.

### Parameter

#### -Data Die Daten für das Dataset. Das Format der Daten hängt von der Art des Diagramms ab, das Sie erstellen.Required?                    falsePosition?                    1Default value                @()Accept pipeline input?       falseAliasesAccept wildcard characters?  false-DataPropertyDie Eigenschaft des Datenobjekts, die als Daten für das Dataset verwendet werden soll.Required?                    falsePosition?                    2Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-LabelDas Label für das Dataset.Required?                    falsePosition?                    3Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-BackgroundColor \<DashboardColor\[]>Die Hintergrundfarbe für das Dataset.Required?                    falsePosition?                    4Default value                @("#807B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-BorderColor \<DashboardColor\[]>Die Rahmenfarbe für das Dataset.Required?                    falsePosition?                    5Default value                @("#FF7B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-BorderWidthDie Rahmenbreite für das Dataset.Required?                    falsePosition?                    6Default value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-HoverBackgroundColor \<DashboardColor\[]>Die Hintergrundfarbe beim Hovern für das Dataset.Required?                    falsePosition?                    7Default value                @("#807B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-HoverBorderColor \<DashboardColor\[]>Die Rahmenfarbe beim Hovern für das Dataset.Required?                    falsePosition?                    8Default value                @("#FF7B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-HoverBorderWidthDie Rahmenbreite beim Hovern für das Dataset.Required?                    falsePosition?                    9Default value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-XAxisIdDie ID der X-Achse, die für das Dataset verwendet werden soll.Required?                    falsePosition?                    10Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-YAxisIdDie ID der Y-Achse, die für das Dataset verwendet werden soll.Required?                    falsePosition?                    11Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-AdditionalOptionsEine Hashtable mit zusätzlichen Optionen, die auf das Dataset angewendet werden. Weitere Informationen finden Sie in der ChartJS-Dokumentation.    PS > .EXAMPLE    PS > $Data = Get-Process | Sort-Object -Property CPU -Descending | Select-Object -First 10    PS >    PS > $CPUDataset = New-UDChartJSDataset -DataProperty CPU -Label CPU -BackgroundColor '#126f8c'    PS > $MemoryDataset = New-UDChartJSDataset -DataProperty HandleCount -Label 'Handle Count' -BackgroundColor '#8da322'    PS > $Options = @{    PS >     Type = 'bar'    PS >     Data = $Data    PS >     Dataset = @($CPUDataset, $MemoryDataset)    PS >     LabelProperty = "ProcessName"    PS > }    PS > New-UDChartJS @OptionsRequired?                    falsePosition?                    12Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216>).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udchartjsdataset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
